#include <SPI.h>
#include <MFRC522.h>

#define SS_PIN 10
#define RST_PIN 9
#define buzzOne 4 //define green LED pin
#define buzzTwo 5 //define red LED
#define button 6
MFRC522 mfrc522(SS_PIN, RST_PIN);   // Create MFRC522 instance.
void setup() 
{
  Serial.begin(9600);   // Initiate a serial communication
  SPI.begin();      // Initiate  SPI bus
  mfrc522.PCD_Init();   // Initiate MFRC522

  pinMode(buzzOne, OUTPUT);
  pinMode(buzzTwo, OUTPUT);
  pinMode(button, INPUT);

  Serial.println("Put your card to the reader...");
  Serial.println();

}
void loop() 
{
  // Look for new cards
  
  if ( ! mfrc522.PICC_IsNewCardPresent()) 
  {
    
    Serial.println("no card present");
    if (digitalRead(button)==HIGH) {
      Serial.println("Pinging Keys");
     digitalWrite(buzzOne, HIGH);
    delay(200);
    digitalWrite(buzzOne, LOW);
    delay(500);
    digitalWrite(buzzOne, HIGH);
    delay(300);
    digitalWrite(buzzOne, LOW);
    }

    return;
  }
  // Select one of the cards
  if ( ! mfrc522.PICC_ReadCardSerial()) 
  {
    

    return;
  }
  //Show UID on serial monitor
  Serial.print("UID tag :");
  String content= "";
  byte letter;
  for (byte i = 0; i < mfrc522.uid.size; i++) 
  {
     Serial.print(mfrc522.uid.uidByte[i] < 0x10 ? " 0" : " ");
     Serial.print(mfrc522.uid.uidByte[i], HEX);
     content.concat(String(mfrc522.uid.uidByte[i] < 0x10 ? " 0" : " "));
     content.concat(String(mfrc522.uid.uidByte[i], HEX));
  }
  Serial.println();
  Serial.print("Message : ");
  content.toUpperCase();
  if (content.substring(1) == "9D 65 7D B9" || content.substring(1) == "0D 1E 6B 14") //change here the UID of the card/cards that you want to give access
  {
    Serial.println("Authorized access");
    Serial.println();
    delay(50);
    digitalWrite(buzzTwo, HIGH);
    delay(500);
    digitalWrite(buzzTwo, LOW);
    digitalWrite(buzzTwo, HIGH);
    delay(500);
    digitalWrite(buzzTwo, LOW);
    delay(500);
    digitalWrite(buzzOne, HIGH);
    delay(1000);
    digitalWrite(buzzOne, LOW);
    delay(500);
    digitalWrite(buzzOne, HIGH);
    delay(500);
    digitalWrite(buzzOne, LOW);
  }

 
 else   {
    Serial.println(" Access denied");
    digitalWrite(buzzTwo, HIGH);
    delay(1000);
    digitalWrite(buzzTwo, LOW);

  }
} 
